imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration

parameters:
    locale: es
    app_locales: es|en|pt|fr|ca
    slides_uploads_directory: '%kernel.root_dir%/../web/uploads/images/slides/'
    empresas_uploads_directory: '%kernel.root_dir%/../web/uploads/images/empresas/'
    personas_uploads_directory: '%kernel.root_dir%/../web/uploads/images/personas/'
    bloques_uploads_directory: '%kernel.root_dir%/../web/uploads/images/bloques/'
    eventos_uploads_directory: '%kernel.root_dir%/../web/uploads/images/eventos/'
    sedes_uploads_directory: '%kernel.root_dir%/../web/uploads/images/sedes/'
    imagenes_seccion_uploads_directory: '%kernel.root_dir%/../web/uploads/images/secciones/imagenes/'
    imagenes_galeria_uploads_directory: '%kernel.root_dir%/../web/uploads/images/sedes/imagenes_galeria/'

framework:
    #esi: ~
    translator: { fallbacks: ['%locale%'] }
    secret: '%secret%'
    router:
        resource: '%kernel.root_dir%/config/routing.yml'
        strict_requirements: ~
    form: ~
    csrf_protection: ~
    validation: { enable_annotations: true }
    #serializer: { enable_annotations: true }
    templating:
        engines: ['twig']
    default_locale: es
    trusted_hosts: ~
    trusted_proxies: ~
    session:
        # handler_id set to null will use default session handler from php.ini
        handler_id: ~
    fragments: ~
    http_method_override: true
    assets:
        version: v73

# Twig Configuration
twig:
    debug: '%kernel.debug%'
    strict_variables: '%kernel.debug%'
    globals:
        slidesUploadsDirectory: '%slides_uploads_directory%'

# Doctrine Configuration
doctrine:
    dbal:
        driver: pdo_mysql
        host: '%database_host%'
        port: '%database_port%'
        dbname: '%database_name%'
        user: '%database_user%'
        password: '%database_password%'
        charset: UTF8
        # if using pdo_sqlite as your database driver:
        #   1. add the path in parameters.yml
        #     e.g. database_path: '%kernel.root_dir%/data/data.db3'
        #   2. Uncomment database_path in parameters.yml.dist
        #   3. Uncomment next line:
        #path: '%database_path%'

    orm:
        auto_generate_proxy_classes: '%kernel.debug%'
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true

# Swiftmailer Configuration
swiftmailer:
    transport: '%mailer_transport%'
    host: '%mailer_host%'
    username: '%mailer_user%'
    password: '%mailer_password%'
    port: '%mailer_root%'
    encryption: tls
    spool: { type: memory }

fos_user:
    db_driver: orm 
    firewall_name: main
    user_class: AppBundle\Entity\User
    from_email:
        address: info@goodmorningsports.com
        sender_name: GMS

assetic:
    debug:          '%kernel.debug%'
    use_controller: '%kernel.debug%'
    filters:
        cssrewrite: ~
        jsqueeze: ~
        scssphp:
            formatter: 'Leafo\ScssPhp\Formatter\Compressed'

knp_paginator:
    page_range: 5                      # default page range used in pagination control
    template:
        pagination: 'admin/_pagination.html.twig' 

# doctrine_migrations:
#     dir_name: "%kernel.root_dir%/DoctrineMigrations"
#     namespace: Application\Migrations
#     table_name: migration_versions
#     name: Application Migrations
#     organize_migrations: false

lexik_translation:
    fallback_locale: es
    managed_locales: [es, en, pt, fr, ca]
    base_layout: "admin/traducciones/grid.html.twig"

liip_imagine:
    resolvers:
        default:
            web_path: ~

    filter_sets:
        cache: ~
        slide_home:
            quality: 80
            filters:
                thumbnail: { size: [1250, null], mode: outbound }
        cliente:
            quality: 80
            filters:
                thumbnail: { size: [120, null], mode: outbound }
        partner:
            quality: 80
            filters:
                thumbnail: { size: [120, null], mode: outbound }




